<h4 style="text-align: center; margin-top: 0px;">La liste des documents</h4> 
<br>
<mat-card>

        <ngx-datatable
        class="material"
        [rows]="data"
        [headerHeight]="60"
        rowHeight="auto"
        [reorderable]="reorderable"
        >
            <ngx-datatable-column name="Nom du document" prop='nom' [width]="150">
            </ngx-datatable-column>
            <ngx-datatable-column name="Type " prop='type' [width]="150">
            </ngx-datatable-column>
            <ngx-datatable-column name="Chemin GitLab" prop='url' [width]="900" >
                <ng-template ngx-datatable-cell-template let-rowIndex="rowIndex" let-value="value"
                                                let-row="row">
                                                <button mat-button><a [href]="value">{{value}}</a></button>
                </ng-template>
            </ngx-datatable-column>
            
           
          

         </ngx-datatable>
    
</mat-card>
